Bug 55085

Summary: [Qt] add android 2.2 user agent to QtTestBrowser
Product: WebKit Reporter: Mahesh Kulkarni <maheshk>
Component: Tools / TestsAssignee: Mahesh Kulkarni <maheshk>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, commit-queue, laszlo.gombos
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
trunk patch
none
branch patch none

Description Mahesh Kulkarni 2011-02-23 14:48:31 PST
Add 

Mozilla/5.0 (Unknown; like Android 2.2; U; Intel Mac OS X 10_6; en-gb) AppleWebKit/533.3 (KHTML, like Gecko) Version/4.0.3 Mobile Safari/533.3

to QtTestBrowser to test youtube.com/html5 content.
Comment 1 Mahesh Kulkarni 2011-02-23 15:10:55 PST
Created attachment 83555 [details]
trunk patch

patch for trunk. Adding Android 2.2 user agent
Comment 2 Mahesh Kulkarni 2011-02-23 15:11:26 PST
Created attachment 83556 [details]
branch patch

branch patch for qtwebkit 2.1.x
Comment 3 Laszlo Gombos 2011-02-23 15:35:33 PST
Comment on attachment 83555 [details]
trunk patch

r=me.
Comment 4 WebKit Commit Bot 2011-02-24 09:19:19 PST
The commit-queue encountered the following flaky tests while processing attachment 83555 [details]:

media/invalid-media-url-crash.html bug 51138 (author: inferno@chromium.org)
The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2011-02-24 09:20:53 PST
Comment on attachment 83555 [details]
trunk patch

Clearing flags on attachment: 83555

Committed r79575: <http://trac.webkit.org/changeset/79575>
Comment 6 WebKit Commit Bot 2011-02-24 09:20:57 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Ademar Reis 2011-02-25 12:10:56 PST
Revision r79575 cherry-picked into qtwebkit-2.1.x with commit 6780e84 <http://gitorious.org/webkit/qtwebkit/commit/6780e84>